Bug 1654867 - python36: pointless source tarball
Summary: python36: pointless source tarball
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python36
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Python Maintainers
QA Contact: Maryna Nalbandian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 21:18 UTC by Carl George
Modified: 2019-06-14 01:48 UTC (History)
5 users (show)

Fixed In Version: python36-3.6.6-18 (mbs build 2291)
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:48:05 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Carl George 2018-11-29 21:18:11 UTC
Description of problem:
The python36 spec file contains the following:

    Source:     https://www.python.org/ftp/python/3.6.3/Python-3.6.3.tar.xz

First I noticed that this conflicted with the version of the package (3.6.6), but after looking closer I realized that this tarball isn't used at all since this package primarily configures alternatives symlinks.  It doesn't hurt anything, it's just pointless and makes the SRPM larger for no reason.  Please remove it.

Version-Release number of selected component (if applicable):
python36-3.6.6-17.el8+2102+a4bbd900

Comment 1 Tomas Orsava 2018-12-04 00:49:03 UTC
The package was using only the README and LICENSE files from the source, so we can separate those.

Comment 2 Tomas Orsava 2018-12-04 00:51:19 UTC
Could I ask for a qa_ack, Honza? It's a minor change.


Note You need to log in before you can comment on or make changes to this bug.